#pragma once

#include "CoreMinimal.h"
#include "RankTooltipViewData.generated.h"

USTRUCT(BlueprintType)
struct FRankTooltipViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 Rank;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool IsKiller;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FString RankName;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 RankPipsCount;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 ActivePipsCount;

public:
	DBDUIVIEWINTERFACES_API FRankTooltipViewData();
};

FORCEINLINE uint32 GetTypeHash(const FRankTooltipViewData) { return 0; }
